## org.apache.maven.plugins.site.webapp
Class DoxiaBean

    java.lang.Object
      org.apache.maven.plugins.site.webapp.DoxiaBean

    public class DoxiaBean

extends java.lang.Object

Bean to handle Doxia in a servlet context attribute

Version:
  $Id: DoxiaBean.java 728546 2008-12-21 22:56:51Z bentmann $
Author:
  Vincent Siveton

Constructor Summary
`DoxiaBean(org.apache.maven.doxia.siterenderer.SiteRenderingContext context, java.util.Map documents, java.io.File generatedSiteDirectory)`

Method Summary
`org.apache.maven.doxia.siterenderer.SiteRenderingContext` `getContext()`
`java.util.Map` `getDocuments()`
`java.io.File` `getGeneratedSiteDirectory()`
`void` `setContext(org.apache.maven.doxia.siterenderer.SiteRenderingContext context)`
`void` `setDocuments(java.util.Map documents)`
`void` `setGeneratedSiteDirectory(java.io.File generatedSiteDirectory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoxiaBean

    public DoxiaBean(org.apache.maven.doxia.siterenderer.SiteRenderingContext context,
                     java.util.Map documents,
                     java.io.File generatedSiteDirectory)

Parameters:
  `context` -
  `documents` -
  `generatedSiteDirectory` -

Method Detail

### getContext

    public org.apache.maven.doxia.siterenderer.SiteRenderingContext getContext()

### setContext

    public void setContext(org.apache.maven.doxia.siterenderer.SiteRenderingContext context)

### getDocuments

    public java.util.Map getDocuments()

### setDocuments

    public void setDocuments(java.util.Map documents)

### getGeneratedSiteDirectory

    public java.io.File getGeneratedSiteDirectory()

### setGeneratedSiteDirectory

    public void setGeneratedSiteDirectory(java.io.File generatedSiteDirectory)

Copyright © 2011. All Rights Reserved.